# Oboe: oboe::Version Struct Reference

oboe::Version Struct Reference

`#include <Version.h>`

## Static Public Attributes

static constexpr uint8_t | Major = OBOE_VERSION_MAJOR
static constexpr uint8_t | Minor = OBOE_VERSION_MINOR
static constexpr uint16_t | Patch = OBOE_VERSION_PATCH
static constexpr const char * | Text = OBOE_VERSION_TEXT
static constexpr uint32_t | Number = OBOE_VERSION_NUMBER

## Detailed Description

Oboe versioning object

## Member Data Documentation

## Major

constexpr uint8_t oboe::Version::Major = OBOE_VERSION_MAJOR

static

This is incremented when we make breaking API changes. Based loosely on https://semver.org/.

## Minor

constexpr uint8_t oboe::Version::Minor = OBOE_VERSION_MINOR

static

This is incremented when we add backwards compatible functionality. Or set to zero when MAJOR is incremented.

## Number

constexpr uint32_t oboe::Version::Number = OBOE_VERSION_NUMBER

static

Integer representation of the current Oboe library version. This will always increase when the version number changes so can be compared using integer comparison.

## Patch

constexpr uint16_t oboe::Version::Patch = OBOE_VERSION_PATCH

static

This is incremented when we make backwards compatible bug fixes. Or set to zero when MINOR is incremented.

## Text

constexpr const char* oboe::Version::Text = OBOE_VERSION_TEXT

static

Version string in the form MAJOR.MINOR.PATCH.

The documentation for this struct was generated from the following file:

- include/oboe/Version.h